function IndexOfCharMax( const S : KOLString; Chr : KOLChar ) : Integer;
{* Returns max index of given character (1..Length(S)), or -1 if a character not found. }
var
 I, L : integer;
begin
  Result := -1;
  L := Length(S);
  for I := L downto 1 do begin
    if S[I] = Chr then begin
      Result := I;
      break;
    end;
  end;
end;

function IndexOfCharsMax( const S, Chars : KOLString ) : Integer;
{* Returns -1 or index (in string S) of those character, what is taking 
   place in Chars string and located nearest to end of S.  }
var I, J : Integer;
begin
  Result := -1;
  for I := 1 to Length( Chars ) do
  begin
    J := IndexOfCharMax( S, Chars[ I ] );
    if J > Result then
      Result := J;
  end;
end;